Subject: Re: bug#18241: 24.4.50; [PATCH] I can now highlight-lines-matching-regexp from isearch

From: Juri Linkov <[email-masked]>
Date: Fri, 28 Jun 2019 22:12:44 +0300

>> I'd use it. If this is already available for "M-s h r", there's a
>> reasonable expectation that "M-s h l" would work too. I don't disagree
>> that the keystroke is awkward, but that's what we've had for a long
>> time, and I'd rather not change it.
>
> Does anybody else have an opinion here?

It's already possible to do this by typing in isearch:

  M-s h l
  M-n M-n M-n RET

because the third default value of hi-lock commands is
the last isearch string.

Its only difference is that it quits isearch, but I wonder
is it really useful to keep isearch active after running
this hi-lock command?